//
//      playmedia.hpp
//
#ifndef __PLAYMEDIA_HPP
#define __PLAYMEDIA_HPP

#include <SophiaFramework.hpp>

SFMTYPEDEFCLASS(playmedia)
class playmedia : public SFCApplication
{
private:
    SFBDisplaySmp           _display;
    SFBMediaSmp             _media;
    AEEMediaData            _mdata;
    SFXAnsiString           _filename;
    SFXBuffer               _buffer;

public:
    static SFCInvokerPtr Factory(Void) { return ::new playmedia; }

private:
    playmedia(Void);
    virtual ~playmedia(Void);
    virtual Bool HandleEvent(SFXEventConstRef event);

    Void OnAppStart(Void);
    Void OnAppStop(Void);
    Bool OnKeyPress(UInt16 key);

    void PlaySound1(Void);
    void PlaySound2(Void);
    void PlaySound3(Void);
};

#endif // __PLAYMEDIA_HPP //
